VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Networking::Interfaces::InterfaceInfo Class Reference
Inheritance diagram for Com::Vmware::Appliance::Networking::Interfaces::InterfaceInfo:

## Avaliable Methods
public method | set_mac ()
public method | get_mac ()
public method | set_name ()
public method | new ()
public method | get_name ()
public method | set_status ()
public method | get_status ()

## Detailed Description

`Com::Vmware::Appliance::Networking::Interfaces::InterfaceInfo` class Structure that defines properties and status of a network interface.

## Member Function Documentation

public method Com::Vmware::Appliance::Networking::Interfaces::InterfaceInfo::get_mac | ( |  | ) |

Gets the value of 'mac' property.

Return values

  mac | - The current value of the field. MAC address. For example 00:0C:29:94:BB:5A. String#

Code:
click to view
# Number of lines of code in get_mac: 4
sub get_mac {
my ($self, %args) = @_;
return $self->{'mac'};
}

public method Com::Vmware::Appliance::Networking::Interfaces::InterfaceInfo::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. Interface name, for example, "nic0", "nic1". String#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Appliance::Networking::Interfaces::InterfaceInfo::get_status | ( |  | ) |

Gets the value of 'status' property.

Return values

  status | - The current value of the field. Interface status. InterfaceStatus#

Code:
click to view
# Number of lines of code in get_status: 4
sub get_status {
my ($self, %args) = @_;
return $self->{'status'};
}

public method Com::Vmware::Appliance::Networking::Interfaces::InterfaceInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Networking::Interfaces::InterfaceInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 20
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{name} = $args{'name'};
$self->{status} = $args{'status'};
$self->{mac} = $args{'mac'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Networking::Interfaces::InterfaceInfo');
$self->set_binding_name('name' => 'com.vmware.appliance.networking.interfaces.interface_info');
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'status', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Networking', 'type_name' => 'Interfaces::InterfaceStatus'));
$self->set_binding_field('key' => 'mac', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Networking::Interfaces::InterfaceInfo::set_mac | ( |  | ) |

Sets the given value for 'mac' property.

Parameters

  mac | - New value for the field. MAC address. For example 00:0C:29:94:BB:5A.

Code:
click to view
# Number of lines of code in set_mac: 5
sub set_mac {
my ($self, %args) = @_;
$self->{'mac'} = $args{'mac'};
return;
}

public method Com::Vmware::Appliance::Networking::Interfaces::InterfaceInfo::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. Interface name, for example, "nic0", "nic1".

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Appliance::Networking::Interfaces::InterfaceInfo::set_status | ( |  | ) |

Sets the given value for 'status' property.

Parameters

  status | - New value for the field. Interface status.

Code:
click to view
# Number of lines of code in set_status: 5
sub set_status {
my ($self, %args) = @_;
$self->{'status'} = $args{'status'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Networking/Interfaces.pm